Upstream information

CVE-2019-17450 at MITRE

Description

find_abstract_instance in dwarf2.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.32, allows remote attackers to cause a denial of service (infinite recursion and application crash) via a crafted ELF file.

SUSE information

Overall state of this security issue: Analysis

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 4
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
CVSSv3 Version 3
SUSE Bugzilla entry: 1153770 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image caasp4/caasp-cilium-image
Image caasp45/caasp-cilium-image
  • binutils >= 2.35-7.11.1
  • libctf-nobfd0 >= 2.35-7.11.1
  • libctf0 >= 2.35-7.11.1
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • binutils >= 2.35-7.11.1
  • binutils-devel >= 2.35-7.11.1
  • libctf-nobfd0 >= 2.35-7.11.1
  • libctf0 >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-3060
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • binutils >= 2.35-7.11.1
  • binutils-devel >= 2.35-7.11.1
  • libctf-nobfd0 >= 2.35-7.11.1
  • libctf0 >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-3060
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • binutils >= 2.35-7.11.1
  • binutils-devel-32bit >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2020-3060
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • binutils >= 2.35-7.11.1
  • binutils-devel-32bit >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2020-3060
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • binutils >= 2.35-7.11.1
  • binutils-gold >= 2.35-7.11.1
  • cross-aarch64-binutils >= 2.35-7.11.1
  • cross-arm-binutils >= 2.35-7.11.1
  • cross-avr-binutils >= 2.35-7.11.1
  • cross-epiphany-binutils >= 2.35-7.11.1
  • cross-hppa-binutils >= 2.35-7.11.1
  • cross-hppa64-binutils >= 2.35-7.11.1
  • cross-i386-binutils >= 2.35-7.11.1
  • cross-ia64-binutils >= 2.35-7.11.1
  • cross-m68k-binutils >= 2.35-7.11.1
  • cross-mips-binutils >= 2.35-7.11.1
  • cross-ppc-binutils >= 2.35-7.11.1
  • cross-ppc64-binutils >= 2.35-7.11.1
  • cross-ppc64le-binutils >= 2.35-7.11.1
  • cross-riscv64-binutils >= 2.35-7.11.1
  • cross-rx-binutils >= 2.35-7.11.1
  • cross-s390-binutils >= 2.35-7.11.1
  • cross-s390x-binutils >= 2.35-7.11.1
  • cross-sparc-binutils >= 2.35-7.11.1
  • cross-sparc64-binutils >= 2.35-7.11.1
  • cross-spu-binutils >= 2.35-7.11.1
  • cross-x86_64-binutils >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-3060
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • binutils >= 2.35-7.11.1
  • binutils-gold >= 2.35-7.11.1
  • cross-aarch64-binutils >= 2.35-7.11.1
  • cross-arm-binutils >= 2.35-7.11.1
  • cross-avr-binutils >= 2.35-7.11.1
  • cross-epiphany-binutils >= 2.35-7.11.1
  • cross-hppa-binutils >= 2.35-7.11.1
  • cross-hppa64-binutils >= 2.35-7.11.1
  • cross-i386-binutils >= 2.35-7.11.1
  • cross-ia64-binutils >= 2.35-7.11.1
  • cross-m68k-binutils >= 2.35-7.11.1
  • cross-mips-binutils >= 2.35-7.11.1
  • cross-ppc-binutils >= 2.35-7.11.1
  • cross-ppc64-binutils >= 2.35-7.11.1
  • cross-ppc64le-binutils >= 2.35-7.11.1
  • cross-riscv64-binutils >= 2.35-7.11.1
  • cross-rx-binutils >= 2.35-7.11.1
  • cross-s390-binutils >= 2.35-7.11.1
  • cross-s390x-binutils >= 2.35-7.11.1
  • cross-sparc-binutils >= 2.35-7.11.1
  • cross-sparc64-binutils >= 2.35-7.11.1
  • cross-spu-binutils >= 2.35-7.11.1
  • cross-x86_64-binutils >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-3060
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP1
  • binutils >= 2.35-7.11.1
  • binutils-gold >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP1-2020-3060
SUSE Linux Enterprise Module for additional PackageHub packages 15 SP2
  • binutils >= 2.35-7.11.1
  • binutils-gold >= 2.35-7.11.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP2-2020-3060


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15 Module for Basesystem binutils Affected
SUSE Linux Enterprise 15 Module for Development Tools binutils Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem binutils Released
SUSE Linux Enterprise 15-SP1 Module for Development Tools binutils Released
SUSE Linux Enterprise 15-SP2 Module for Basesystem binutils Released
SUSE Linux Enterprise 15-SP2 Module for Development Tools binutils Released
SUSE Linux Enterprise Desktop 12 SP4 binutils Affected
SUSE Linux Enterprise High Performance Computing 12 SP4 binutils Affected
SUSE Linux Enterprise Server 11 SP1 binutils Analysis
SUSE Linux Enterprise Server 11 SP3 binutils Analysis
SUSE Linux Enterprise Server 11 SP4 LTSS binutils Analysis
SUSE Linux Enterprise Server 12 SP1 LTSS binutils Affected
SUSE Linux Enterprise Server 12 SP2 LTSS binutils Affected
SUSE Linux Enterprise Server 12 SP3 LTSS binutils Affected
SUSE Linux Enterprise Server 12 SP4 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 binutils Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 binutils Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 binutils Affected